package ut

import "fmt"

func TestBatchInput() {
	createParams := make(map[string]interface{})
	createParams["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
	createParams["request_id"] = ""
	createParams["usr_phone"] = ""

	data, apiError, err := Merchant.BatchInput().MerConf(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

// func testMerConf() {
// 	createParams := make(map[string]interface{})
// 	createParams["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
// 	createParams["request_id"] = ""
// 	createParams["usr_phone"] = ""

// 	data, apiError, err := batchInput.MerConf(createParams, "msc_correct")
// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[testMerConf] Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[testMerConf] Failed ---> Response ---> ", apiError)
// 		return
// 	}

// 	utils.Println("[DEMO] testMerConf Success ---> ", data)
// }

// func testQueryMerConf() {
// 	createParams := make(map[string]interface{})
// 	createParams["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
// 	createParams["request_id"] = ""
// 	createParams["usr_phone"] = ""

// 	data, apiError, err := batchInput.QueryMerConf(createParams, "msc_correct")
// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[testQueryMerConf] Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[testQueryMerConf] Failed ---> Response ---> ", apiError)
// 		return
// 	}

// 	utils.Println("[DEMO] testQueryMerConf Success ---> ", data)
// }

// func testMerResidentModify() {
// 	createParams := make(map[string]interface{})
// 	createParams["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
// 	createParams["request_id"] = ""
// 	createParams["usr_phone"] = ""

// 	data, apiError, err := batchInput.MerResidentModify(createParams, "msc_correct")
// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[testMerResidentModify] Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[testMerResidentModify] Failed ---> Response ---> ", apiError)
// 		return
// 	}

// 	utils.Println("[DEMO] testMerResidentModify Success ---> ", data)
// }
