package ut

import (
	"fmt"
	"path/filepath"
)

func TestMerProfilePicture() {
	createParams := make(map[string]interface{})

	filePath, err := filepath.Abs("./ut/IMG_4955.JPG")
	fmt.Println(filePath)
	createParams["subApiKey"] = "api_live_fdcbcc99-4fef-4f23-a8f3-e21d7c7e4f7b"
	createParams["fileType"] = "01"
	createParams["file"] = filePath

	data, apiError, err := Merchant.MerProfile().MerProfilePicture(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func TestMerProfileForAudit() {
	createParams := make(map[string]interface{})

	createParams["subApiKey"] = "api_live_fdcbcc99-4fef-4f23-a8f3-e21d7c7e4f7b"
	createParams["socialCreditCodeId"] = "0067363309554112"
	createParams["legalCertIdFrontId"] = "0067363504549376"
	createParams["legalCertIdBackId"] = "0067363574467008"
	createParams["businessAdd"] = "http://www.baidu.com"
	createParams["storeId"] = "0067361944316352|0067363749735936"
	createParams["accountOpeningPermitId"] = "0067364019530176"
	createParams["shareholderInfoList"] = ""

	data, apiError, err := Merchant.MerProfile().MerProfileForAudit(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}
